import Page from './page';
declare class RemoteElement {
    page: Page;
    elementPath: string;
    tagName?: string;
    handleCall(key: string, args?: any[]): Promise<any>;
    handleGet(key: string): Promise<any>;
    handleSet(key: string, value: any): Promise<void>;
    getTagName(): Promise<string | undefined>;
    getInnerText(): Promise<any>;
    getInnerHTML(): Promise<any>;
    setInnerHTML(html: string): Promise<void>;
    click(): Promise<any>;
    focus(): Promise<any>;
    scrollIntoView(options?: ScrollIntoViewOptions): Promise<any>;
    getAttribute(qualifiedName: string): Promise<any>;
    setAttribute(qualifiedName: string, value: string): Promise<any>;
    getElement(selectors: string, index?: number): Promise<RemoteElement | undefined>;
    getElements(selectors: string): Promise<RemoteElement[] | undefined>;
    input(value: any): Promise<boolean>;
    execPaste(): Promise<boolean>;
    triggerEvent(type: 'click' | 'input' | 'submit' | 'keydown' | 'keyup' | 'keypress' | 'change' | 'mouseover' | 'mouseout' | 'focus' | 'blur' | 'load' | string): Promise<boolean>;
    constructor(page: Page, elementPath: string, tagName?: string);
}
export default RemoteElement;
