"use strict";
/**
 * This module provides exports related to browser automation, including classes for browser control and page interaction.
 *
 * @module browser-automator
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Self = exports.delay = exports.Page = exports.Browser = void 0;
const browser_1 = __importDefault(require("./browser"));
exports.Browser = browser_1.default;
const library_1 = require("./library");
Object.defineProperty(exports, "delay", { enumerable: true, get: function () { return library_1.doDelay; } });
const page_1 = __importDefault(require("./page"));
exports.Page = page_1.default;
const self_1 = __importDefault(require("./self"));
exports.Self = self_1.default;
/**
 * A namespace that provides functions for launching the browser automation process.
 *
 * @namespace automator
 */
const automator = {
    /**
     * Launches a new Browser instance for browser automation.
     *
     * @function
     * @returns {Browser} - A new Browser instance for browser automation.
     */
    launch: function () {
        return new browser_1.default();
    }
};
exports.default = automator;
